Skip to main content
POST
Restore a Postgres service
Beta This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.

Restore a Postgres database from continuous backup, optionally at a specific point in time.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the Postgres service.

postgresId
string<uuid>
required

ID of the requested Postgres service.

Body

application/json
name
string
required

Name of the Postgres service. Alphanumerical string with whitespaces up to 50 characters.

Required string length: 1 - 50
restoreTarget
string<date-time>
required

The point in time at which to recover, as either date/time, named restore point, or a specific transaction ID.

Example:

"2026-03-31T18:17:37Z"

pgConfig
Postgres Configuration · object

Postgres runtime configuration configuration.

Example:
pgBouncerConfig
PgBouncer Configuration · object

PgBouncer runtime configuration configuration.

Example:
tags
Postgres Tags · object[]

Tags associated with the Postgres service. Tag keys starting with “chc_” are reserved for internal use.

Maximum array length: 50

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object
Last modified on July 9, 2026